Bug 456750 - Review Request: xsel -- manipulate the X selection
Review Request: xsel -- manipulate the X selection
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
: 416471 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-26 08:41 EDT by Rakesh Pandit
Modified: 2011-10-16 12:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-29 06:29:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
opensource: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2008-07-26 08:41:22 EDT
Description:

Description: XSel is a command-line program for getting and setting the contents
of the X selection. Normally this is only accessible by manually highlighting
information and pasting it with the middle mouse button.

SRPM: http://rakesh.fedorapeople.org/srpm/xsel-1.2.0-3.fc9.src.rpm
SPEC: http://rakesh.fedorapeople.org/spec/xsel.spec
Comment 1 Rakesh Pandit 2008-07-26 08:42:16 EDT
*** Bug 416471 has been marked as a duplicate of this bug. ***
Comment 2 Till Maas 2008-08-07 16:17:08 EDT
- rpmlint: ok (silent)
- license: ok (MIT), matches license in COPYING and xsel.c
- license included in %doc: ok, in COPYING
- spec legigble: ok
- url in source: ok
- builds in rawhide:
https://koji.fedoraproject.org/koji/taskinfo?taskID=765463
- source tarball ok:
75983f143ce83dc259796c6eaf85c8f5  xsel-1.2.0-3.fc9/xsel-1.2.0.tar.gz
75983f143ce83dc259796c6eaf85c8f5  xsel-1.2.0.tar.gz

- directory ownage: ok
- not a library: ok
- not much documentation: ok
- macro usage: ok
- %install with rm: ok
- %clean with rm: ok
- macro usage: ok
- optflags: ok
- no locales: ok
- buildroot: ok

This package is APPROVED.
Comment 3 Rakesh Pandit 2008-08-07 22:50:07 EDT
New Package CVS Request
=======================
Package Name: xsel
Short Description: manipulate the X selection
Owners: rakesh
Branches: F-8 F-9
InitialCC: rakesh
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-08-08 00:16:16 EDT
cvs done.
Comment 5 Mamoru TASAKA 2008-08-08 14:30:29 EDT
Please make it sure that the EVR (Epoch-Version-Release) of rpms has the order
F-8 <= F-9 <= F-10 (rawhide).

If F-8 rpm has xsel-1.2.0-4.fc8 EVR, F-9/10 rpms must have higher EVR than
1.2.0-4.fc8. Note that 1.2.0-4.fc8 > xsel-1.2.0-3.fc9.
Please bump the release number of F-10/9 rpms.

! note
  From next time if you have to fix only F-8 rpm, you can take the method of
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Minor_release_bumps_for_old_branches
Comment 6 Fedora Update System 2008-08-08 14:39:45 EDT
xsel-1.2.0-4.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-08-08 14:41:52 EDT
xsel-1.2.0-3.fc9 has been submitted as an update for Fedora 9
Comment 8 Rakesh Pandit 2008-08-08 15:23:34 EDT
@Mamoru

Thanks for pointing out. I will bump for F-10/F-9 and use minor release bumps for old branches in future.
Comment 9 Fedora Update System 2008-08-12 14:19:14 EDT
xsel-1.2.0-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xsel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7141
Comment 10 Fedora Update System 2008-08-12 14:26:38 EDT
xsel-1.2.0-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xsel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7227
Comment 11 Fedora Update System 2008-09-10 02:35:17 EDT
xsel-1.2.0-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-09-10 02:41:44 EDT
xsel-1.2.0-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Rakesh Pandit 2011-10-16 02:31:14 EDT
Package Change Request
======================
Package Name: xsel
New Branches: el5 el6
Owners: rakesh
Comment 14 Gwyn Ciesla 2011-10-16 12:46:42 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.